@import "_variables";
@import "_fonts";

/* Dark mode */
@media (prefers-color-scheme: dark) {
  body {
    background: $dark-background-color;
    color: $dark-font-color;

    a {
      color: $dark-font-color;
      border-bottom: 1px solid $dark-font-color;

      &:hover {
        border-bottom: 0;
      }
    }
  }

  header {
    a {
      color: $dark-font-color;
      &:hover {
        border-bottom: 1px solid $dark-font-color;
      }
    }
  }
}

@media (prefers-color-scheme: light) {
  body {
    background: $background-color;
    color: $font-color;

    a {
      color: $font-color;
      border-bottom: 1px solid $font-color;
      &:hover {
        border-bottom: 0;
      }
    }
  }
}

body {
  margin: 16px auto 5%;
  max-width: 73%;
  font-family: serif;
  font-size: 1.2rem;

  a {
    text-decoration: none;
  }
}

header {
  display: flex;
  flex-direction: column;
  align-items: center;

  a {
    border-bottom: 1px solid transparent;
    text-decoration: none;
  }

  .title {
    width: fit-content;
    margin-bottom: 16px;
  }

  nav {
    ul {
      list-style: none;
      padding-left: 0;
      margin: 0;
      display: flex;
      justify-content: space-evenly;

      li:not(:last-child) {
        padding-right: 32px;
      }
    }
  }
}

main {
  line-height: 1.8;
  figure {
    margin: 0;
    video {
      width: 100%;
    }
  }
  img {
    display: block;
    margin: 0 auto;
    max-width: 100%;
  }
  ul {
    list-style-type: "*";
    padding-left: 16px;
    line-height: 1.8;

    li {
      padding-left: 8px;
    }
  }

  pre {
    padding: 1rem;
    overflow: auto;
  }

  blockquote {
    background: $block-quote-background;
    border-left: 10px solid $block-quote-border;
    margin: 1.5em 10px;
    padding: 0.1rem 10px 0.1rem 10px;
  }

  .vimeo {
    width: 100%;

    iframe {
      width: 100%;
      min-height: 640px;
      background: black;
      border: none;
    }
  }
}
